<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Registration</title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <link href="https://getbootstrap.com/docs/4.0/examples/signin/signin.css" rel="stylesheet"
          crossorigin="anonymous" />
</head>

<body>
<div class="container">
    <form class="form-signin" method="post" th:action="@{/registration}" th:object="${registration}">
        <h2 class="form-signin-heading">Registration</h2>
        <p>
            <label for="username" class="sr-only">Username</label>
            <input type="text" id="username" th:field="*{username}" class="form-control" required autofocus>
            <div style="color:red" th:if="${#fields.hasErrors('username')}" th:errors="*{username}">v</div>
        </p>
        <p>
            <label for="password" class="sr-only">Password</label>
            <input type="password" id="password" th:field="*{password}"  class="form-control" required>
        <div style="color:red" th:if="${#fields.hasErrors('password')}" th:errors="*{password}">v</div>
        </p>
        <p>
            <label for="repeatPassword" class="sr-only">Repeat password</label>
            <input type="password" id="repeatPassword" th:field="*{repeatPassword}"  class="form-control" required>
        </p>
        <button class="btn btn-lg btn-primary btn-block" type="submit">Register</button>
    </form>
</div>
</body>

</html>